com.fasterxml.jackson.databind.jsontype

## Enum PolymorphicTypeValidator.Validity

- java.lang.Object
- - java.lang.Enum<PolymorphicTypeValidator.Validity>
  - - com.fasterxml.jackson.databind.jsontype.PolymorphicTypeValidator.Validity

All Implemented Interfaces:
  Serializable, Comparable<PolymorphicTypeValidator.Validity>

Enclosing class:
  PolymorphicTypeValidator

    public static enum PolymorphicTypeValidator.Validity
    extends Enum<PolymorphicTypeValidator.Validity>

Definition of return values to indicate determination regarding validity.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALLOWED` Value that indicates that Class name or Class is allowed for use without further checking
`DENIED` Value that indicates that Class name or Class is NOT allowed and no further checks are needed or allowed
`INDETERMINATE` Value that indicates that Class name or Class validity can not be confirmed by validator and further checks are needed.

### Method Summary

All Methods Static Methods Concrete Methods
`static PolymorphicTypeValidator.Validity` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PolymorphicTypeValidator.Validity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALLOWED

    public static final PolymorphicTypeValidator.Validity ALLOWED

Value that indicates that Class name or Class is allowed for use without further checking

#### DENIED

    public static final PolymorphicTypeValidator.Validity DENIED

Value that indicates that Class name or Class is NOT allowed and no further checks are needed or allowed

#### INDETERMINATE

    public static final PolymorphicTypeValidator.Validity INDETERMINATE

Value that indicates that Class name or Class validity can not be confirmed by validator and further checks are needed.

Typically if validator can not establish validity from Type Id or Class (name), eventual determination will be `DENIED`, for safety reasons.

### Method Detail

#### values

    public static PolymorphicTypeValidator.Validity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PolymorphicTypeValidator.Validity c : PolymorphicTypeValidator.Validity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PolymorphicTypeValidator.Validity valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null